VMTKSURFACEPOLYBALLEVALUATION(1)

NAME
vmtksurfacepolyballevaluation - vmtk script vmtksurfacepolyballevaluation

DESCRIPTION
Automatic piping vmtksurfacepolyballevaluation Parsing options vmtksurfacepolyballevaluation

vmtksurfacepolyballevaluation : evaluate the polyball function on the

    vertices of a surface.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-polyball PolyBall (vtkPolyData,1): the input polyball

-polyballfile PolyBallInputFileName (str,1): filename for the

    default PolyBall reader

-type Type (str,1) in ['polyball', 'tubes']; default=polyball: type

    of evaluation, polyball (set of disjoint spheres) or tubes (set of continuous tubes, e.g. centerlines)

-radiusarray RadiusArrayName (str,1); default=None: name of the

    array where the radius of polyballs is stored

-evaluationarray EvaluationArrayName (str,1); default=PolyBall:

    name of the array where the result of the polyball evaluation has to be stored

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface